Package org.eclipse.emf.spi.cdo

## Class InternalCDOSession.InvalidationData

- java.lang.Object
- - org.eclipse.emf.spi.cdo.InternalCDOSession.InvalidationData

- Enclosing interface:
    InternalCDOSession

      public static final class InternalCDOSession.InvalidationData
      extends java.lang.Object

  A data structure that holds all input values of `InternalCDOSession#invalidate()`.
  Since:
    4.6
  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `InvalidationData()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `CDOCommitInfo` | `getCommitInfo()` |
    `CDOLockChangeInfo` | `getLockChangeInfo()` |
    `java.util.Map<CDOID,​CDOPermission>` | `getNewPermissions()` |
    `byte` | `getSecurityImpact()` |
    `InternalCDOTransaction` | `getSender()` |
    `boolean` | `isClearResourcePathCache()` |
    `void` | `setClearResourcePathCache​(boolean clearResourcePathCache)` |
    `void` | `setCommitInfo​(CDOCommitInfo commitInfo)` |
    `void` | `setLockChangeInfo​(CDOLockChangeInfo lockChangeInfo)` |
    `void` | `setNewPermissions​(java.util.Map<CDOID,​CDOPermission> newPermissions)` |
    `void` | `setSecurityImpact​(byte securityImpact)` |
    `void` | `setSender​(InternalCDOTransaction sender)` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### InvalidationData

          public InvalidationData()

  - ### Method Detail

    - #### getCommitInfo

          public CDOCommitInfo getCommitInfo()

    - #### setCommitInfo

          public void setCommitInfo​(CDOCommitInfo commitInfo)

    - #### getSender

          public InternalCDOTransaction getSender()

    - #### setSender

          public void setSender​(InternalCDOTransaction sender)

    - #### isClearResourcePathCache

          public boolean isClearResourcePathCache()

    - #### setClearResourcePathCache

          public void setClearResourcePathCache​(boolean clearResourcePathCache)

    - #### getSecurityImpact

          public byte getSecurityImpact()

    - #### setSecurityImpact

          public void setSecurityImpact​(byte securityImpact)

    - #### getNewPermissions

          public java.util.Map<CDOID,​CDOPermission> getNewPermissions()

    - #### setNewPermissions

          public void setNewPermissions​(java.util.Map<CDOID,​CDOPermission> newPermissions)

    - #### getLockChangeInfo

          public CDOLockChangeInfo getLockChangeInfo()

    - #### setLockChangeInfo

          public void setLockChangeInfo​(CDOLockChangeInfo lockChangeInfo)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`